package com.xhpc.activity.service;

import com.xhpc.activity.domain.XhpcWorkTypeDictDomain;

import java.util.List;
import java.util.Map;

public interface WorkTypeService {


    List<XhpcWorkTypeDictDomain> getPage(Map<String, Object> params);

    List<Map<String, Object>> getList(Map<String, Object> params);

    List<Map<String, Object>> getTree(Map<String, Object> params);

    XhpcWorkTypeDictDomain getInfoByPk(Integer typeId);

    Boolean insertTypeInfo(XhpcWorkTypeDictDomain domain);

    Boolean updateTypeInfo(XhpcWorkTypeDictDomain domain);

    Boolean deleteTypeInfo(Integer typeId);
}
